Jump to content

EightBitOni

Active Members
  • Posts

    19
  • Joined

  • Last visited

Everything posted by EightBitOni

  1. root@EightBitOni:~# kismet ERROR: Error reading config file '/etc/kismet/kismet.conf': No such file or directory root@EightBitOni:/etc# ls TZ inittab preinit banner iproute2 profile banner.failsafe localtime protocols board.d modules-boot.d rc.button board.json modules.d rc.common config mtab rc.d crontabs nginx rc.local device_info openwrt_release resolv.conf diag.sh openwrt_version services dnsmasq.conf opkg shadow e2fsck.conf opkg.conf shells ethers os-release ssh firewall.user passwd ssl fstab php.ini sysctl.conf group php7 sysctl.d hosts php7-fpm.conf sysupgrade.conf hotplug-preinit.json php7-fpm.d uci-defaults hotplug.d pineape urandom.seed hotplug.json pineapple usb-mode.json init.d ppp Thank you
  2. I did run it over SSH from putty and it would seem that the package installed with no errors however I do not see any instructions on the screen, I looked around and to think about it now I am not really sure that it installed at all after looking root@EightBitOni:/sd/modules# ls DWall Occupineapple SiteSurvey nmap EvilPortal SSLsplit ettercap Locate SignalStrength get when I ran the kismet command this was the output I got not sure if I am missing something here. root@EightBitOni:/# opkg update && opkg install kismet-hak5 --dest=sd Downloading https://downloads.hak5.org/packages/mk6/1907/Packages.gz Updated list of available packages in /var/opkg-lists/1907_pineapple Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/base/Packages.gz Updated list of available packages in /var/opkg-lists/1907_base Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/Packages.gz Updated list of available packages in /var/opkg-lists/1907_packages Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/routing/Packages.gz Updated list of available packages in /var/opkg-lists/1907_routing Installing kismet-hak5 (master-1) to sd... Downloading https://downloads.hak5.org/packages/mk6/1907/kismet-hak5_master-1_mips_24kc.ipk Installing libgpg-error (1.36-2) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/libgpg-error_1.36-2_mips_24kc.ipk Installing libgcrypt (1.8.4-1) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/libgcrypt_1.8.4-1_mips_24kc.ipk Installing libnettle6 (3.4.1-2) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/base/libnettle6_3.4.1-2_mips_24kc.ipk Installing libgnutls (3.6.9-1) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/libgnutls_3.6.9-1_mips_24kc.ipk Installing libmicrohttpd-ssl (0.9.62-3) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/libmicrohttpd-ssl_0.9.62-3_mips_24kc.ipk Installing libcap (2.27-1) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/libcap_2.27-1_mips_24kc.ipk Installing libprotobuf-c (1.3.1-2) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/packages/libprotobuf-c_1.3.1-2_mips_24kc.ipk Installing libdw1 (0.176-2) to sd... Downloading https://downloads.openwrt.org/releases/packages-19.07/mips_24kc/base/libdw1_0.176-2_mips_24kc.ipk Configuring libgpg-error. Configuring libgcrypt. Configuring libprotobuf-c. Configuring libcap. Configuring libnettle6. Configuring libgnutls. Configuring libmicrohttpd-ssl. Configuring libdw1. Configuring kismet-hak5.
  3. Thank you that seemed to work other than all the other commands that I have tried. One question though, is it only usable in the command line for now?
  4. Looks like the modules are finally working for me, now I just need to figure out how to install kismet. Thank you for all who responded
  5. Are you asking where to put the sd card or are you asking where the config goes?
  6. yes that is all I have in my fstab, note the sda1 I was able to figure that out by ssh into the pineapple and seeing what the sd card was named by typing fdisk -l and changed the fstab.
  7. I tried this and it did not work, but that is ok I will wait for the updates. Also looking at the commands you gave me give me a better idea on how to get things installed on the pineapple. Thank you for that.
  8. I got it to work with the flowing changes config mount option target '/sd' option device '/dev/sdcard/sd1' option fstype 'auto' option options 'rw,sync' option enabled '1' new config config mount option target '/sd' option device '/dev/sda1' option fstype 'auto' option options 'rw,sync' option enabled '1' I took out the sdcard directory and changed sd1 to sda1
  9. I got the same issue when trying to install kismet
  10. Thank you for the help, I am still new to these forums and truth be told I have never really posted to anything before, this is the first time that I am doing that. Funny thing is I have learned a lot in these last few days about my first pineapple I am really excited to learn more once this issue is fixed. Thank you
  11. Did you make sure that you are connected to a network? Usually is you can not check the bulletins it usually means that you are not connected to a network with internet access. I would go to the network tab and make sure. hope that helps
  12. Just out of curiosity if I wanted to install nmap without installing the modules, is there a way to do that? would we have to install it in command line in the pineapple? Sorry for the dumb question just wanted to know
  13. these are the changes I made to get the card to work however the dependencies are still an issue Report pos original config config mount option target '/sd' option device '/dev/sdcard/sd1' option fstype 'auto' option options 'rw,sync' option enabled '1' new config config mount option target '/sd' option device '/dev/sda1' option fstype 'auto' option options 'rw,sync' option enabled '1'
  14. oh good glad you found the fix, that would also answer why my cabe for the one plus works.
  15. I do not use Samsung but I do have a oneplus and every time I want to tether I have to make sure that the USB tether option is selected in the settings on the phone. I am not sure if that would help but you might want to see what connection settings you have.
  16. So do you think that I should downgrade the firmware, because this is for almost all modules that need dependencies or is there another workaround? Also I am wondering if changing the usb fstab also breaks this because I was not able to use the sd card with out changing the config mount. Do you think this could also be the issue? thank you original config config mount option target '/sd' option device '/dev/sdcard/sd1' option fstype 'auto' option options 'rw,sync' option enabled '1' new config config mount option target '/sd' option device '/dev/sda1' option fstype 'auto' option options 'rw,sync' option enabled '1'
  17. Sorry forgot to mention in the post that this is for the wifi pineapple nano
  18. After I install a module like nmap on my sd card it then says that the Dependencies are not installed, after I try to install them on the sd card it would say installing however after 20 or 30 seconds it would go back to Not installed. I have factory reset and reboot the nano but still having the same issues. If there is anyone who could help me in the right direction that would be really helpful. Thank you
×
×
  • Create New...